{
  "name": "ui",
  "productName": "Optima",
  "description": "Frontend application for Optima, the Total Tech Service Management platform.",
  "private": true,
  "version": "0.1.7",
  "type": "module",
  "main": ".vite/build/main.js",
  "author": {
    "name": "Jackson Roberts",
    "email": "jackson.roberts@totaltech.net"
  },
  "scripts": {
    "prepare": "svelte-kit sync || echo ''",
    "check": "svelte-kit sync && svelte-check --tsconfig ./tsconfig.json",
    "check:watch": "svelte-kit sync && svelte-check --tsconfig ./tsconfig.json --watch",
    "test:unit": "vitest",
    "test": "bun run test:unit -- --run && bun run test:e2e",
    "test:e2e": "playwright test",
    "start": "electron-forge start",
    "package": "electron-forge package",
    "make": "electron-forge make",
    "make:macos": "electron-forge make --platform darwin",
    "dev:server": "vite dev --host",
    "build:server": "vite build",
    "publish": "electron-forge publish"
  },
  "devDependencies": {
    "@electron-forge/cli": "^7.11.1",
    "@electron-forge/maker-deb": "^7.11.1",
    "@electron-forge/maker-dmg": "^7.11.1",
    "@electron-forge/maker-rpm": "^7.11.1",
    "@electron-forge/maker-squirrel": "^7.11.1",
    "@electron-forge/maker-zip": "^7.11.1",
    "@electron-forge/plugin-auto-unpack-natives": "^7.11.1",
    "@electron-forge/plugin-fuses": "^7.11.1",
    "@electron-forge/plugin-vite": "^7.11.1",
    "@electron/fuses": "^1.8.0",
    "@playwright/test": "^1.58.0",
    "@sveltejs/adapter-node": "^5.5.3",
    "@sveltejs/adapter-static": "^3.0.10",
    "@sveltejs/kit": "^2.50.1",
    "@sveltejs/vite-plugin-svelte": "^5.1.1",
    "@tailwindcss/forms": "^0.5.11",
    "@tailwindcss/typography": "^0.5.19",
    "@tailwindcss/vite": "^4.1.18",
    "@testing-library/jest-dom": "^6.9.1",
    "@testing-library/svelte": "^5.3.1",
    "@types/electron-squirrel-startup": "^1.0.2",
    "@types/node": "^22.19.7",
    "electron": "^36.9.5",
    "jsdom": "^26.1.0",
    "svelte": "^5.48.2",
    "svelte-check": "^4.3.5",
    "tailwindcss": "^4.1.18",
    "typescript": "^5.9.3",
    "vite": "^6.4.1",
    "vitest": "^3.2.4"
  },
  "dependencies": {
    "@event-calendar/core": "^5.6.0",
    "axios": "^1.13.3",
    "dotenv": "^17.2.3",
    "electron-squirrel-startup": "^1.0.1",
    "pdfjs-dist": "4.10.38",
    "socket.io-client": "^4.8.3"
  },
  "trustedDependencies": [
    "esbuild",
    "electron",
    "electron-winstaller"
  ],
  "patchedDependencies": {
    "@sveltejs/kit": "patches/@sveltejs__kit.patch"
  }
}
